# load core
for config_file ($ZSH/core/*.zsh); do
    source $config_file
done

# load plugins
for plugin ($plugins); do
    if [ -f $ZSH/plugins/$plugin.zsh ]; then
        source "$ZSH/plugins/$plugin.zsh"
    fi
done

# load theme
if [ -f $ZSH/themes/$THEME.zsh ]; then
    source "$ZSH/themes/$THEME.zsh"
fi

# load completion
autoload -U compinit
compinit -i
